%define upstream_name    SOAP-Transport-JABBER
%define upstream_version 0.713

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    JABBER support for SOAP::Lite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SOAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Net::Jabber)
BuildRequires: perl(SOAP::Lite)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This package adds Jabber support to SOAP::Lite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.713.0-10.mga8
+ Revision: 1523811
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 0.713.0-9.mga7
+ Revision: 1374801
- fix summary+desc

* Wed Sep 19 2018 umeabot <umeabot> 0.713.0-8.mga7
+ Revision: 1271199
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.713.0-7.mga6
+ Revision: 1033174
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.713.0-6.mga6
+ Revision: 929420
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.713.0-5.mga5
+ Revision: 750263
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.713.0-4.mga5
+ Revision: 686135
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.713.0-3.mga4
+ Revision: 514484
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.713.0-2.mga3
+ Revision: 372431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- imported package perl-SOAP-Transport-JABBER


* Sat Aug 20 2011 cpan2dist 0.713-1mga
- initial mageia release, generated with cpan2dist
